# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Crypt-ircDH1080.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 2;
BEGIN { use_ok('Crypt::ircDH1080') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# test the non-standard encoding
my $msg = 'test 123 this is some poop';
my $enc = Crypt::ircDH1080->encodeB64($msg);
my $dec = Crypt::ircDH1080->decodeB64($enc);

ok ( $msg eq $dec );

# test message exchange
my $alice = Crypt::ircDH1080->new();
my $bob = Crypt::ircDH1080->new();

my $alice_init = $alice->public_key;

my $bob_secret = $bob->get_shared_secret($alice_init);

my $bob_finish = $bob->public_key;

my $alice_secret = $alice->get_shared_secret($bob_finish);

ok ( $bob_secret eq $alice_secret );
